<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="border bg-white shadow-sm" *ngIf="privateAnnotationTask || publicAnnotationTaskList?.length > 0">

  <div class="border-bottom px-1 py-2">
    <fa-icon
      class="pointer text-primary"
      [icon]="isCollapsed ? plusSquareIcon : minusSquareIcon"
      (click)="isCollapsed = !isCollapsed"
      [fixedWidth]="true">
    </fa-icon>
    <strong
      class="ms-3"
      [innerText]="currentFolderViewBlock | folderViewBlockName">
    </strong>
  </div>

  <div *ngIf="!isCollapsed" class="py-2 px-3">

    <ng-container *ngIf="isPrivateAnnotation">
      <div class="text-wrap text-break">
        {{ privateAnnotationTask.privateAnnotation }}
      </div>
      <div class="text-secondary text-wrap fst-italic border-start ps-2">
        {{ privateAnnotationTask.user.firstName }} {{ privateAnnotationTask.user.lastName }}
        {{ messages.AT }} {{ privateAnnotationTask.date | date: 'medium' }}
      </div>
    </ng-container>

    <ng-container *ngIf="!isPrivateAnnotation">
      <div *ngFor="let publicAnnotationTask of publicAnnotationTaskList">
        <div
          class="text-wrap text-break"
          [innerText]="publicAnnotationTask.publicAnnotation">
        </div>
        <div class="text-secondary text-wrap fst-italic border-start ps-2">
          {{publicAnnotationTask.user.firstName}} {{publicAnnotationTask.user.lastName}}
          {{messages.AT}} {{publicAnnotationTask.date | date: 'medium'}}
        </div>
      </div>
    </ng-container>
  </div>

</div>

